#
# spec file for package python-django-braces
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-django-braces
Version:        1.15.0
Release:        2.9
Summary:        Reusable, generic mixins for Django
License:        BSD-3-Clause
URL:            https://github.com/brack3t/django-braces/
Source:         https://files.pythonhosted.org/packages/source/d/django-braces/django-braces-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gh#brack3t/django-braces#277
Patch0:         modernize-braces.patch
Patch1:         testhack.patch
BuildRequires:  %{python_module Django >= 2.2}
BuildRequires:  %{python_module factory_boy}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 2.2
BuildArch:      noarch
%python_subpackages

%description
Reusable, generic mixins for Django.

%prep
%setup -q -n django-braces-%{version}
%autopatch -p1
# do not mess with the test setup and rely on pytest defaults
rm conftest.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
sed -i 's/import mock/from unittest import mock/' tests/test_*_mixins.py
export DJANGO_SETTINGS_MODULE=tests.settings
PYTHONPATH=.
%pytest --nomigrations

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Apr 20 2022 Markéta Machová <mmachova@suse.com>
- do not require mock
* Thu Feb  3 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.15.0:
  * Updates and fixes from #265
  * Typo fixes from #269 and #262
  * Dropped explicit support for Python versions before 3.7 and non-LTS
    versions of Django
- Dropped patch remove-py2-add-django3.patch:
  * Included
- Added patch modernize-braces.patch:
  * Add support for modern versions of Django
* Fri Mar 19 2021 Markéta Machová <mmachova@suse.com>
- Add upstream remove-py2-add-django3.patch to make the package
  compatible with Django 3.1 and testhack.patch to run tests
  on Django 3.1 (upstream sleeps)
* Tue Jan  7 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.14.0:
  * Tox now only tests recent Pythons and Djangos
  * Include necessary files to build docs in source tarball. Closes #250
  * Fixes deprecated imports, adds `six` as requirement
  * force text to prevent Python 2 unicode fun
- Remove merged patch dj21.patch
* Sun Mar 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Remove the url path for patch/source1 they differ and hopefully
  will be fixed in the future
* Sun Mar 10 2019 John Vandenberg <jayvdb@gmail.com>
- Activate test suite, adding form.html missing from sdist
- Add dj21.patch for Django 2.1 support
* Sun Feb 17 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.13.0
